> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get useraudit ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /user/audit/{date} openapi: 3.0.0 info: title: bunny.net API description: >- bunny.net Logo Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation

Third party API clients:


We currently do not maintain an official API library, but you can use one of the third party ones provided here:

https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)

Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Stream Video Library - name: User - name: AuditLog - name: Storage Zone - name: Statistics - name: Search - name: Pull Zone - name: Pricing - name: Load Balancer - name: DNS Zone - name: DNSSEC - name: Billing - name: API Keys - name: Affiliate - name: Countries - name: Purge - name: Region paths: /user/audit/{date}: get: tags: - AuditLog operationId: GetUserAuditLogEndpoint_GetUserAuditLog parameters: - name: date in: path required: true schema: type: string format: date-time x-position: 1 - name: Product in: query style: form explode: true schema: type: array nullable: true items: type: string x-position: 2 - name: ResourceType in: query style: form explode: true schema: type: array nullable: true items: type: string x-position: 3 - name: ResourceId in: query style: form explode: true schema: type: array nullable: true items: type: string x-position: 4 - name: ActorId in: query style: form explode: true schema: type: array nullable: true items: type: string x-position: 5 - name: Order in: query schema: $ref: '#/components/schemas/LogOrdering' x-position: 6 - name: ContinuationToken in: query schema: type: string nullable: true x-position: 7 - name: Limit in: query schema: type: integer format: int32 maximum: 10000 minimum: 1 x-position: 8 responses: '200': description: The list of audit log entries content: application/json: schema: $ref: '#/components/schemas/GetUserAuditLogResponse' '400': description: The request was invalid content: application/json: schema: $ref: '#/components/schemas/ApiErrorData' '401': description: The request authentication failed '500': description: Internal Server Error security: - AccessKey: - User - UserApi - Subuser - ScopedApiKey - bearer: - User - UserApi - Subuser - ScopedApiKey components: schemas: LogOrdering: type: string description: '' x-enumNames: - Ascending - Descending enum: - Ascending - Descending GetUserAuditLogResponse: type: object additionalProperties: false properties: Logs: type: array nullable: true items: $ref: '#/components/schemas/UserAuditLog' HasMoreData: type: boolean ContinuationToken: type: string nullable: true StartToken: type: string nullable: true ApiErrorData: type: object additionalProperties: false properties: ErrorKey: type: string nullable: true Field: type: string nullable: true Message: type: string nullable: true UserAuditLog: type: object additionalProperties: false properties: Timestamp: type: string format: date-time Product: type: string nullable: true ResourceType: type: string nullable: true ResourceId: type: string nullable: true ResourceOwner: type: string nullable: true Action: type: string nullable: true ActorId: type: string nullable: true ActorType: type: string nullable: true Diff: type: string nullable: true securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.